%global rel 1_27
%global checkout d945221

Name:           mediawiki127-RSS
Version:        2.25.0
Release:        1%{?dist}
Summary:        Displays one or more RSS feeds on a wiki page

License:        GPLv2
URL:            http://www.mediawiki.org/wiki/Extension:RSS
Source0:        https://extdist.wmflabs.org/dist/extensions/RSS-REL%{rel}-%{checkout}.tar.gz
Source1:        README.fedora
BuildArch:      noarch

Requires:       mediawiki127

%description
The RSS extension displays one or more RSS feeds
on a wiki page in a standard or user-definable format.
Since version 2.00, the extension is also compatible
with wiki-page-generated feeds (RSS or ATOM).

%prep
%setup -q -n RSS
cp -a %{SOURCE1} README.fedora

%build

%install
mkdir -p %{buildroot}%{_datadir}/mediawiki127/extensions/RSS/
mkdir -p %{buildroot}%{_datadir}/mediawiki127/extensions/RSS/i18n/
install -cpm 644 %{_builddir}/%{buildsubdir}/*.php %{buildroot}%{_datadir}/mediawiki127/extensions/RSS/
install -cpm 644 %{_builddir}/%{buildsubdir}/i18n/*.json %{buildroot}%{_datadir}/mediawiki127/extensions/RSS/i18n/

%files
%doc README.fedora COPYING README RELEASE-NOTES version
%{_datadir}/mediawiki127/extensions/RSS

%changelog
* Wed Sep 07 2016 Kevin Fenzi <kevin@scrye.com> - 2.25.0-1
- Initial version for epel7
